Grants, vesting & distributions
Get Settlement Details By Grant Id
Lists settled vestings, lockups and exercise requests for a grant with units, withheld, FMV and tx links.
GEThttps://api.toku.com/tga/get-settlement-details-by-grant-id
Not available to API keys yet. It will need grants:read.
curl --request GET \
--url 'https://api.toku.com/tga/get-settlement-details-by-grant-id?grantID=%3CgrantID%3E' \
--header 'Authorization: Bearer <token>'200 response
[
{
"settlementID": "string",
"settledDate": "string",
"units": 0,
"tokensWithheld": 0,
"eventType": "string",
"transactionHash": "string",
"transactionLink": "string",
"fmv": "string"
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
grantIDstring<uuid>requiredResponse
200Successful response
settlementIDstring | nullsettledDatestring | nullunitsnumber | nulltokensWithheldnumber | nulleventTypestring | nulltransactionHashstring | nulltransactionLinkstring | nullfmvstring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits